commit:     277c3f8f216974ec7a4fdaeb7401b27a1632e4f1
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 30 23:28:14 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Wed Jul 31 00:02:57 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=277c3f8f

app-emacs/corfu: bump to 1.5

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/corfu/Manifest         |  1 +
 app-emacs/corfu/corfu-1.5.ebuild | 39 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/app-emacs/corfu/Manifest b/app-emacs/corfu/Manifest
index 34cc8abf1b2b..8cc0a96a415d 100644
--- a/app-emacs/corfu/Manifest
+++ b/app-emacs/corfu/Manifest
@@ -1 +1,2 @@
 DIST corfu-1.4.tar.gz 49929 BLAKE2B 
7735675c243e7b05793cb0fe7f74b6417a42668d7bea8b17c14afd00b724f1e0dea85207aea628b5f54afb81e048bc860913156839c3eb9588c2d702ba4bf3e4
 SHA512 
78028d77adfe456ee71d18bd818980bbe9293b91ad746878c669362f6b22273622a999a291923c79b73244830d45ac4af3c4fa26459e3ffd4877145b3804d636
+DIST corfu-1.5.tar.gz 50196 BLAKE2B 
7f3ac13fd1e09b22c8b9aa1f702143d9851eb88564b0260745d42cc6e25bf4ce7c3ec71a70321e6d0d62fab51eebd577e0ddccbbf407080189302b3993b24261
 SHA512 
44038532f1559b5ad3c5748f11bc57b6b08191dfd1717b20590f1d4e43b3a048dedd94987b6293cee4d32d21af18a93fee16c7c1fa0c47face13d0c6650613b3

diff --git a/app-emacs/corfu/corfu-1.5.ebuild b/app-emacs/corfu/corfu-1.5.ebuild
new file mode 100644
index 000000000000..d8351fe993cc
--- /dev/null
+++ b/app-emacs/corfu/corfu-1.5.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+NEED_EMACS=27.1
+
+inherit elisp
+
+DESCRIPTION="Completion Overlay Region FUnction"
+HOMEPAGE="https://github.com/minad/corfu/";
+
+if [[ ${PV} == *9999* ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/minad/${PN}.git";
+else
+       SRC_URI="https://github.com/minad/${PN}/archive/${PV}.tar.gz
+               -> ${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+
+RDEPEND=">=app-emacs/compat-29.1.3.4"
+BDEPEND="${RDEPEND}"
+
+DOCS=( README.org )
+SITEFILE="50${PN}-gentoo.el"
+
+src_prepare() {
+       default
+       mv extensions/*.el . || die
+}
+
+src_compile() {
+       elisp_src_compile
+       elisp-make-autoload-file
+}

Reply via email to